<?php

/**
 * Class d3_thankyou_heidelpay
 */
class d3_thankyou_heidelpay extends d3_thankyou_heidelpay_parent
{
    /**
     * @return bool
     */
    public function d3GetBankTransferDataTemplateName()
    {
        return $this->d3GetTemplateName('banktransferdata');
    }

    public function d3GetTemplateName($templateName)
    {
        if (is_string($templateName)) {
            $mappedThemeId = d3_cfg_mod::get('d3heidelpay')->getMappedThemeId();

            return "d3_d3heidelpay_views_{$mappedThemeId}_tpl_{$templateName}.tpl";
        }

        return '';
    }

}
